# StatusBar | tablefilter v0.4.16 API Document

    import {StatusBar} from 'tablefilter/src/modules/statusBar.js'

public class | source

# StatusBar

#### Extends:

Feature → StatusBar

Status bar UI component

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of StatusBar |

## Member Summary

Public Members
public | cssClass : String Css class for container element |
public | initialized : boolean |
public | msgChangePage : String Message appearing when a pagination page is changed |
public | msgChangeResults : String Message appearing when the page length is changed |
public | msgClear : String Message appearing when filters are cleared |
public | msgFilter : String Message appearing upon filtering |
public | msgLoadExtensions : String Message appearing when extensions are loading |
public | msgLoadThemes : String Message appearing when themes are loading |
public | msgPopulate : String Message appearing when a drop-down filter is populated |
public | msgPopulateCheckList : String Message appearing when a checklist filter is populated |
public | msgResetPage : String Message appearing when the page is re-set |
public | msgResetPageLength : String Message appearing when the page length is re-set |
public | msgSort : String Message appearing upon column sorting |
public | onAfterShowMsg : Function Callback fired after the message is displayed |
public | onBeforeShowMsg : Function Callback fired before the message is displayed |
public | targetId : String ID of custom container element |
public | text : String Text preceding status message |

## Method Summary

Public Methods
public | destroy () Destroy StatusBar instance |
public | init () Initializes StatusBar instance |
public | message (t: String) Display status message |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of StatusBar

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public cssClass: String source

Css class for container element

### public initialized: boolean source

#### Override:

Feature#initialized

### public msgChangePage: String source

Message appearing when a pagination page is changed

### public msgChangeResults: String source

Message appearing when the page length is changed

### public msgClear: String source

Message appearing when filters are cleared

### public msgFilter: String source

Message appearing upon filtering

### public msgLoadExtensions: String source

Message appearing when extensions are loading

### public msgLoadThemes: String source

Message appearing when themes are loading

### public msgPopulate: String source

Message appearing when a drop-down filter is populated

### public msgPopulateCheckList: String source

Message appearing when a checklist filter is populated

### public msgResetPage: String source

Message appearing when the page is re-set

### public msgResetPageLength: String source

Message appearing when the page length is re-set

### public msgSort: String source

Message appearing upon column sorting

### public onAfterShowMsg: Function source

Callback fired after the message is displayed

### public onBeforeShowMsg: Function source

Callback fired before the message is displayed

### public targetId: String source

ID of custom container element

### public text: String source

Text preceding status message

## Public Methods

### public destroy() source

Destroy StatusBar instance

#### Override:

Feature#destroy

### public init() source

Initializes StatusBar instance

#### Override:

Feature#init

### public message(t: String) source

Display status message

#### Params:

Name | Type | Attribute | Description

t

String

- optional
- default: ''

Message to be displayed